package com.fetchLocal;

import com.facebook.react.bridge.Promise;
import com.facebook.react.bridge.ReactApplicationContext;

import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.ReadableMap;

import android.util.Log;

import needle.Needle;

public class FetchLocalModule extends ReactContextBaseJavaModule {

    public FetchLocalModule(ReactApplicationContext context) {
        super(context);
    }

    @Override
    public String getName() {
        return "FetchLocal";
    }

    @ReactMethod
    public void fetchLocal(final String link, final ReadableMap data, final Promise promise) {
        Log.i(getClass().getName(), String.format("Fetching Locally: %s", link));
        FetchLocalRunnable fetchLocalRunnable = new FetchLocalRunnable(getReactApplicationContext(),link,data,promise);
        Needle.onBackgroundThread().withThreadPoolSize(100).execute(fetchLocalRunnable);
    }
}
