package com.fetchLocal.handler;

import android.util.Log;

import com.facebook.react.bridge.ReadableMap;
import com.fetchLocal.functional.BiFunction;

import java.net.HttpURLConnection;

public class HttpMethodHandlerFactory
{
    public static BiFunction<HttpURLConnection, ReadableMap, Void> getMethodHandler(String method, String contentType)
    {
        switch (method) {
            case "PUT":
            case "POST":
                return new PutPostBodyMethodHandler(contentType);
            case "GET":
                return new GetMethodHandler();
            default:
                String errMsg = "Method Type Not Implemented: " + method;
                Log.d(HttpMethodHandlerFactory.class.getName(), errMsg);
                throw new IllegalArgumentException(errMsg);
        }
    }
}
