package com.fetchLocal.handler;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class HttpMethodHandlerFactoryTest {
    private String contetntType;
    private String method;
    private PutPostBodyMethodHandler putPostBodyMethodHandler;
    private GetMethodHandler getMethodHandler;

    @Before
    public void setUp() throws Exception {
        contetntType="application/json";
        putPostBodyMethodHandler= new PutPostBodyMethodHandler(contetntType);
        getMethodHandler = new GetMethodHandler();
    }

    @After
    public void tearDown() throws Exception {
    }

    @Test
    public void getMethodHandlerTest() {
        this.method="GET";
        assertTrue(getMethodHandler.getClass().equals(HttpMethodHandlerFactory.getMethodHandler(method,contetntType).getClass()));
        this.method="PUT";
        assertTrue(putPostBodyMethodHandler.getClass().equals( HttpMethodHandlerFactory.getMethodHandler(method,contetntType).getClass()));
        this.method="POST";
        assertTrue(putPostBodyMethodHandler.getClass().equals(HttpMethodHandlerFactory.getMethodHandler(method,contetntType).getClass()));
        this.method="thk";
        Throwable exception= assertThrows(IllegalArgumentException.class,()->HttpMethodHandlerFactory.getMethodHandler(method,contetntType));
        assertEquals("Method Type Not Implemented: "+method,exception.getMessage());
    }
}