import { NativeModules } from 'react-native';
import React from "react";

const { FetchLocal } = NativeModules;

export default class FetchLocalWrapper extends React.Component {

    static fetchLocal = (input, init) => {
        return new Promise(async (resolve, reject) => {
            try {
                const responseObj = await FetchLocal.fetchLocal(input, init)
                const outputResponse = {
                    response: responseObj.response,
                    json: () => {
                        console.log("Response issue inside module", responseObj.response)
                        return JSON.parse(responseObj.response)
                    }
                }
                resolve(outputResponse);
            } catch (error) {
                reject(error);
            }
        })

    }
}

